Eclipse Tools

Common libraries for various Eclipse projects.

Download Eclipse Tools 3.2.2.1 for EasyEclipse 1.2.2:

(7.5MB)  (7.7MB)  (7.4MB)

Download Eclipse Tools 3.3.1.1 for EasyEclipse 1.3:

(8.9MB)  (9.0MB)  (8.8MB)

This plugin contains some common libraries and frameworks, used by many other plugins. They do not add any menu item or wizard in the user interface.

Those libraries are a subset of the Eclipse Tools project:

The EMF and JEM libraries have been patched for simplicity, to removed all User interface (Wizards, Editors) that could be misleading to beginning users. If you need those functionalities, simply use the Eclipe Modeling Tools plugin, or, simplier to install, the Plugin Warrior distribution.

There are currently 5 comments for this plugin. You can review them and add more here.

Installing this plugin

This plugin is in all EasyEclipse distributions, except the EasyEclipse for C and C++ distribution.

If you install this plugin on the EasyEclipse for C and C++ distribution, the dependent plugin Eclipse Java Development Tools must be present, or must be installed separately.

Getting started

This plugin contains only libraries and has no user interface; it is only designed for use in conjunction with other plugins that require those libraries. So the "Getting Started" doesn't really apply.

Useful links

Changelog

Changes in EasyEclipse 1.3.1:

Changes in EasyEclipse 1.3.0: Changes in EasyEclipse 1.2.2.2: Changes in EasyEclipse 1.2.2: Changes in EasyEclipse 1.2.1: Changes in EasyEclipse 1.2.0: Changes in EasyEclipse 1.0.2: Changes in EasyEclipse 1.0.1: Changes in EasyEclipse 1.0.0:

Credits and License

Credits: Eclipse Foundation

Copyright (c) Eclipse contributors and others. 2000-2007. All rights reserved.

This plugin is licensed under the Eclipse Public License 1.0 license.

        
    

5 Comments »

Comment by Luis Majano
2006-12-18 15:07:08

This does not include the EMF (Eclipse Graphical Modeling Framework) 1.0.1

Where can this be found?

Comment by admin
2006-12-19 11:18:18

This plugin contains the EMF runtime version 2.2.1; if you need the GMF (Eclipse Graphical Modeling Framework) 1.0.1, you’ll find it in the Graphical Modeling Framework page. It seems that you have issues installing that plugin… I’ll answer on its own page.

 
 
Comment by Piapoco
2007-09-04 05:09:46

I’m using EasyEclipse 1.2.2, running on Fedora Core 6. I haven’t been able to debug a single PHP line for the first time. All I get is the following message: “An internal error occurred during launching”. I must note that all libraries are installed. Thanks for your help.

 
Comment by Carlos Alberto
2012-08-02 16:40:49

Instalei o Easy Eclipse e ao executar o mesmo ele informa uma mensagem de erro como esta:

An error has occurred. See the log file
C:\users\carlospires\workspace\.metada\.log.

o que pode ser isto.

 
Your name (required for validation and display)
Your e-mail (required for validation but never displayed)
Your website URL (optional for display)
Your comment (smaller size | larger size)
You may use <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> in your comment.